%define scl rh-python36
%{?scl:%scl_package %{name}}
%{!?scl:%global pkg_name %{name}}

%define name Flask-Script
%define version 2.0.6
%define unmangled_version 2.0.6
%define unmangled_version 2.0.6
%define release 1

Summary: Scripting support for Flask
%{?scl:Requires: %{scl}-runtime}
%{?scl:BuildRequires: %{scl}-runtime}
Name: %{?scl_prefix}Flask-Script
Version: %{version}
Release: %{release}
Source0: Flask-Script-%{unmangled_version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRoot: %{_tmppath}/Flask-Script-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Matthias Urlichs <matthias@urlichs.de>
Packager: Martin Juhl <m@rtinjuhl.dk>
Url: http://github.com/smurfix/flask-script


%description

Flask-Script
--------------

Flask support for writing external scripts.

Links
`````

* `documentation <http://flask-script.readthedocs.org>`_





%prep
%{?scl:scl enable %{scl} - << \EOF}
set -ex
%setup -n Flask-Script-%{unmangled_version} -n Flask-Script-%{unmangled_version}
%{?scl:EOF}


%build
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py build
%{?scl:EOF}


%install
%{?scl:scl enable %{scl} - << \EOF}
set -ex
python3 setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
%{?scl:EOF}


%clean
%{?scl:scl enable %{scl} - << \EOF}
set -ex
rm -rf $RPM_BUILD_ROOT
%{?scl:EOF}


%files -f INSTALLED_FILES
%defattr(-,root,root)
